<?php defined('SYSPATH') || die('No direct script access.');

class Controller_Handler_Regulatory extends Controller_Handler_Api
{

    /** @var  Model_Semesters */
    protected $model;

    public function before() {
        parent::before();

        $this->user->checkAccess(User::RIGHTS_ADMIN);
        $this->model = new Model_Semesters([]);
    }

    public function action_new() {

        $this->user->checkAccess(User::RIGHTS_ADMIN);

        $semester = $this->model->create();

        if (is_null($semester)) {
            HTTP_API_Exception::factory(500, 'Ошибка приложения');
        }


        $string = file_get_contents(APPPATH . "/config/general.json");
        $json_a = json_decode($string, true);
        $json_a['SemesterID']=$semester->ID;

        $string = json_encode($json_a, JSON_PRETTY_PRINT | JSON_NUMERIC_CHECK);
        file_put_contents(APPPATH . "/config/general.json", $string);

    }


}
